Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.adapter
Class IORUtil

    java.lang.Object
      |
      +--org.openorb.adapter.IORUtil

public class IORUtil
extends java.lang.Object

The methods of this class comes from the ServerManager class in the net package. The comment in front of those methods was: "These methods should be moved somewhere else because they are independent of the server side". Because the construct_ior is used from the adapters only the IORUtil class is located in the adapter package.

Author:
  Michael Rumpf

Constructor Summary
`IORUtil()`

Method Summary
`static IOR` | `construct_ior(java.lang.String type_id, byte[] object_key, ComponentSet component_set, java.lang.Object[] protProfIDs, ORB orb)` Construct an IOR.
`static IOR` | `merge_iors(java.lang.String type_id, IOR[] iors)` Constructs a new IOR which is a merge of all the profiles in each of the targets.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IORUtil

    public IORUtil()

Method Detail

### construct_ior

    public static IOR construct_ior(java.lang.String type_id,
                                    byte[] object_key,
                                    ComponentSet component_set,
                                    java.lang.Object[] protProfIDs,
                                    ORB orb)

  Construct an IOR.

### merge_iors

    public static IOR merge_iors(java.lang.String type_id,
                                 IOR[] iors)

  Constructs a new IOR which is a merge of all the profiles in each of the targets.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD